#ifndef __DEVICE_SPEED_STEP_H_
#define __DEVICE_SPEED_STEP_H_
#include "ptz_type_select.h"


#define PTZ_HORI_ACC_DEC_INC_T  25u//步进电机加减速间隔时间ms
  
#define PTZ_VERT_ACC_DEC_INC_T  40u//25u//步进电机加减速间隔时间ms

  
#define PTZ_DEC_MAX     0
#define PTZ_DEC_DEF     1

//通过方向PWM波提供反向力矩调速
//PID调速
#define PID_ADJUST_SPEED     0
//方向调速
#define DIRECTOR_ADJUST_SPEED   1



//extern float step_speed_for_hori;
//extern float step_speed_for_vert;


#ifdef PTZ_STEP_MOTOR

void ptz_send_speed(char dev, char speed);
void init_speed_module(void);
void init_speed_module(void);
#endif

#endif